# Standard recording for an entry point (/en/api-reference/api-ref/broadcast-streaming/standard-recording/entry-point)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

## Enable/Disable standard recording for an entry point [#enabledisable-standard-recording-for-an-entry-point]

Enables or disables standard recording for all live streams under the specified entry point.

<CalloutContainer type="info">
  <CalloutDescription>
    After calling the [Set standard recording configuration](configuration) API, standard recording is automatically enabled for all live streams under the entry point.
  </CalloutDescription>
</CalloutContainer>

### HTTP request [#http-request]

```bash
PATCH https://api.agora.io/v1/projects/{appid}/fls/entry_points/{entry_point}/settings/record/standard/auto
```

#### Path parameter [#path-parameter]

| Parameter     | Type   | Description                                        |
| :------------ | :----- | :------------------------------------------------- |
| `appid`       | String | Required. The App ID retrieved from Agora Console. |
| `entry_point` | String | Required. The entry point name.                    |

#### Request body [#request-body]

The request body is in the JSON Object type, and contains the following fields:

| Field     | Type    | Description                                                                                          |
| :-------- | :------ | :--------------------------------------------------------------------------------------------------- |
| `enabled` | Boolean | Required. Whether to enable standard recording for all live streams under the specified entry point. |

### HTTP response [#http-response]

If the returned HTTP status code is 200, the request is successful.

If the returned HTTP status code is not 200, the request fails. You can refer to the [HTTP status codes ](#http-code)for possible reasons.

### Example [#example]

**Request line**

```bash
PATCH https://api.agora.io/v1/projects/{your_appid}/fls/entry_points/live/settings/record/standard/auto HTTP/1.1
```

**Request body**

```json
{
    "enabled": false
}
```

**Response line**

```bash
HTTP/1.1 200 OK
```

<a name="http-code" />

## HTTP status codes [#http-status-codes]

| Status code | Description                                                                                                                                              |
| :---------- | :------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 200         | The request succeeds.                                                                                                                                    |
| 400         | The parameter is invalid, for example the `appid` or the `entry_point` is empty, or the `region` parameter value is invalid.                             |
| 401         | Unauthorized (the customer ID and the customer secret do not match).                                                                                     |
| 404         | The server cannot find the resource according to the request, which means the requested entry point does not exist or the requested URI path is invalid. |
| 500         | An internal error occurs in the server, so the server is not able to complete the request.                                                               |
| 504         | An internal error occurs in the server. The gateway or the proxy server did not receive a timely request from the remote server.                         |
